/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Offline教材 個別ログ　検索条件作成クラス
//			変更履歴
//				2004.01.08	新規作成	滝島　英幸
//
package jp.co.ntt.lms.lo.Offline.Aicc;

// java AIP
import java.util.*;
import java.sql.SQLException;
import java.sql.ResultSet;

import org.apache.commons.lang.StringEscapeUtils;

// XMS API
import jp.co.ntt.lms.xmo.DataAccess;
import jp.co.ntt.lms.xmo.util.*;
import jp.co.ntt.lms.lo.*;

/**
 * Offline教材個別ログ　検索条件作成クラス
 * @author H.Takishima
 * @version 2.0.4.0.0 2004/01/08
 */
public class AiccMakeCondition
	implements AiccConst
{
	/**
	 * UserID、LOID、SessionIDからWHERE句以下の条件文を作成します
	 * @param strUserID ユーザID
	 * @param strLoID LOID
	 * @param strSessionID セッションID
	 * @return String 条件文
	 */
	public static String makeCondition( String strUserID, String strLoID, String strSessionID ) {
		String strUserCon = null;
		String strLoIDCon = null;
		String strSesseionIDCon = null;

		if( strUserID != null && !strUserID.equals( "" ) ) {
			strUserCon = USERID + "='" + StringEscapeUtils.escapeSql(strUserID) + "' ";
		}

		if( strLoID != null && !strLoID.equals( "" ) ) {
			strLoIDCon = LOID + "='" + StringEscapeUtils.escapeSql(strLoID) + "' ";
		}

		if( strSessionID != null && !strSessionID.equals( "" ) ) {
			strSesseionIDCon = SESSIONID + "='" + StringEscapeUtils.escapeSql(strSessionID) + "' ";
		}

		StringBuffer sbBuf = new StringBuffer();

		if( strUserCon != null ||
			strLoIDCon != null ||
			strSessionID != null )
		{
			sbBuf.append( " WHERE " );

			String strCon = "";
			if( strUserCon != null ) {
				strCon += strUserCon;
			}

			if( strLoIDCon != null ) {
				if( !strCon.equals( "" ) ) {
					strCon += " AND ";
				}
				strCon += strLoIDCon;
			}

			if( strSessionID != null ) {
				if( !strCon.equals( "" ) ) {
					strCon += " AND ";
				}
				strCon += strSesseionIDCon;
			}

			sbBuf.append( strCon );
		}
		return sbBuf.toString();
	}
}

